### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface CommentFilterInterface

All Known Implementing Classes:
  `CommentFilter`

@SASScope("ALL") @BinaryCompatibilityOnly public interface CommentFilterInterface
Provides a mechanism to filter comments. Remarks could be filtered by owner, author, range (eg. date), ...

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AUTHOR`
  `static final int`
  `AUTHOR_RANGE`
  `static final int`
  `DATETIME_RANGE`
  `static final int`
  `NOMODIFIER`
  `static final int`
  `OWNER`
  `static final int`
  `RANGE`
  `static final int`
  `TEXT_RANGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFilterModifier()`
  `int`
  `getRangeField()`
  `boolean`
  `rangeEvalLong(long n)`
  `boolean`
  `rangeEvalString(String str)`
  `void`
  `setFilterModifier(int filterType)`
  `void`
  `setRangeFilterModifierLong(int rangeField, long lower, long upper)`
  `void`
  `setRangeFilterModifierString(int rangeField, String lower, String upper)`

- ## Field Details

  - ### NOMODIFIER

    static final int NOMODIFIER
    See Also:
      - Constant Field Values

  - ### OWNER

    static final int OWNER
    See Also:
      - Constant Field Values

  - ### AUTHOR

    static final int AUTHOR
    See Also:
      - Constant Field Values

  - ### RANGE

    static final int RANGE
    See Also:
      - Constant Field Values

  - ### TEXT_RANGE

    static final int TEXT_RANGE
    See Also:
      - Constant Field Values

  - ### AUTHOR_RANGE

    static final int AUTHOR_RANGE
    See Also:
      - Constant Field Values

  - ### DATETIME_RANGE

    static final int DATETIME_RANGE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getFilterModifier

    int getFilterModifier()

  - ### getRangeField

    int getRangeField()

  - ### setFilterModifier

    void setFilterModifier(int filterType)

  - ### setRangeFilterModifierLong

    void setRangeFilterModifierLong(int rangeField, long lower, long upper)

  - ### setRangeFilterModifierString

    void setRangeFilterModifierString(int rangeField, String lower, String upper)

  - ### rangeEvalString

    boolean rangeEvalString(String str)

  - ### rangeEvalLong

    boolean rangeEvalLong(long n)